# $EPIC: pad,v 1.6 2003/09/23 01:00:18 nsx Exp $
Synopsis:
   $pad(<width> <char> <text>)

Technical:
   * If the <width> argument is omitted the empty string is returned.
   * If the <char> argument is omitted the empty string is returned.
   * The <width> argument may be positive or negative.
   * Although the <char> argument can be a string, only the first character
     is actually used.
   * If the absolute value of <width> is less than the length of <text>, then 
     <text> is returned.
   * The number of "neccesary repetitions" is (abs(<width>) - strlen(<text>)).
   * If <width> is negative, then the return value is "neccesary repetitions"
     of the first character in <char> prepended to <text>.
   * If <width> is positive, then the return value is "neccesary repetitions"
     of the first character in <char> appended to <text>.

Practical:
   This function is especially useful for forcing strings to a minimum
   length, possibly for a script that hooks and displays a /names reply.

Returns:
   <text> padded with a number of <char>s until its length is <length>

Examples:
   $pad(8 ! test)                       returns "test!!!!!"

History:
   This function first appeared in EPIC4pre1.046

See Also:
   left(6); right(6); mid(6)

